apiVersion: kubernetes.crossplane.io/v1alpha2
kind: Object
metadata:
  name: pomerium-host-auth
  namespace: crossplane-system
spec:
  providerConfigRef:
    name: kubernetes-provider
  forProvider:
    manifest:
      apiVersion: getambassador.io/v3alpha1
      kind: Host
      metadata:
        name: authenticate-host
        namespace: emissary
      spec:
        hostname: authenticate.nge6.com
        tlsSecret:
          name: pomerium-dns-tls
---
apiVersion: kubernetes.crossplane.io/v1alpha2
kind: Object
metadata:
  name: pomerium-host-keycloak
  namespace: crossplane-system
spec:
  providerConfigRef:
    name: kubernetes-provider
  forProvider:
    manifest:
      apiVersion: getambassador.io/v3alpha1
      kind: Host
      metadata:
        name: keycloak-host
        namespace: emissary
      spec:
        hostname: keycloak.nge6.com
        tlsSecret:
          name: pomerium-dns-tls